: List all digital collections

API: loc.gov:library-of-congress-api
Endpoint: /collections/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 127ms

Description

Returns a list of all digital collections available at the Library of Congress.

Parameters (3)

c (integer, query, optional, default: 25)

Count/items per page

fo (string, query, optional, default: json)

Output format

Constraints: {'enum': ['json', 'yaml']}

sp (integer, query, optional)

Start page number

Examples (2)

List digital collections openapi-spec
curl 'https://www.loc.gov/collections/?fo=json'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/",
    params={
        'fo': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress")
result = api.fetch("collections/", fo="json")

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/?fo=json");
const data = await resp.json();
List all digital collections openapi-spec
curl 'https://www.loc.gov/collections/?fo=json&c=25'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/",
    params={
        'fo': 'json',
        'c': '25',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress")
result = api.fetch("collections/", fo="json", c=25)

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/?fo=json&c=25");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:07:22.545148 200 127ms
2026-04-16 00:08:37.706594 200 1021ms
2026-04-15 00:46:06.313954 200 178ms
2026-04-15 00:39:05.214816 200 663ms
2026-04-14 01:40:39.709571 200 143ms
2026-04-14 00:16:13.914244 200 1250ms
2026-04-12 16:14:26.506553 200 392ms
2026-04-12 13:10:51.161550 200 707ms
2026-04-10 06:43:50.748812 200 826ms
2026-04-10 02:33:37.771252 200 136ms
2026-04-09 02:24:12.017369 200 528ms
2026-04-09 01:10:48.695325 200 962ms
2026-04-08 07:56:24.466839 200 180ms
2026-04-08 07:45:19.145853 200 150ms
2026-04-07 00:31:10.142623 200 151ms
2026-04-07 00:05:18.012877 200 483ms
2026-04-06 05:00:27.614039 200 1271ms
2026-04-06 04:31:23.649736 200 182ms
2026-04-05 14:32:51.541020 200 308ms
2026-04-05 02:29:26.408722 200 608ms
2026-04-05 01:38:18.066832 200 1289ms
2026-04-04 03:04:59.260027 200 140ms
2026-04-04 02:28:53.863163 200 117ms
2026-04-03 13:25:32.787803 200 145ms
2026-04-03 12:33:17.094675 200 138ms
2026-03-30 02:49:33.644553 200 137ms
2026-03-30 02:21:24.289069 200 138ms
2026-03-29 13:16:38.672204 200 119ms
2026-03-29 13:07:47.019549 200 154ms
2026-03-23 10:26:07.832722 200 1013ms 0.9MB
2026-03-23 10:18:36.444226 200 105ms 0.5MB